package com.qs.mp.common.enums;

import com.baomidou.mybatisplus.annotation.IEnum;

/**
 * 券包类型枚举
 * @author Cup
 * @date 2022/5/6
 */
public enum CouponPkgStatusEnum implements IEnum<Integer> {

    PUT_INIT(0, "待上架"),
    PUT_ON(1, "已上架"),
    PUT_OFF(2, "已下架");

    private final Integer value;
    private final String desc;

    CouponPkgStatusEnum(final Integer value, final String desc) {
        this.value = value;
        this.desc = desc;
    }

    @Override
    public Integer getValue() {
        return value;
    }
}
